--- u-boot/include/common.h	Sun Oct 10 11:41:14 2004
+++ bios/include/common.h	Tue Oct 12 14:43:41 2004
@@ -381,13 +361,21 @@
 
 /* $(CPU)/serial.c */
 int	serial_init   (void);
+void	serial_addr   (unsigned int);
 void	serial_setbrg (void);
 void	serial_putc   (const char);
+void	serial_putc_raw(const char);
 void	serial_puts   (const char *);
-void	serial_addr   (unsigned int);
 int	serial_getc   (void);
 int	serial_tstc   (void);
 
+void	_serial_setbrg (const int);
+void	_serial_putc   (const char, const int);
+void	_serial_putc_raw(const char, const int);
+void	_serial_puts   (const char *, const int);
+int	_serial_getc   (const int);
+int	_serial_tstc   (const int);
+
 /* $(CPU)/speed.c */
 int	get_clocks (void);
 int	get_clocks_866 (void);
